package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF8G4Response {

    @Parameter(name = "ARES_ADDRESS_CITY")
    String aresAddressCity();

    @Parameter(name = "ARES_ADDRESS_COUNTRY")
    String aresAddressCountry();

    @Parameter(name = "ARES_ADDRESS_DESCRIPTIVE_NUMBER")
    String aresAddressDescriptiveNumber();

    @Parameter(name = "ARES_ADDRESS_DESCRIPTIVE_NUMBER_TYPE")
    String aresAddressDescriptiveNumberType();

    @Parameter(name = "ARES_ADDRESS_ID")
    String aresAddressId();

    @Parameter(name = "ARES_ADDRESS_ORIENTATION_NUMBER")
    String aresAddressOrientationNumber();

    @Parameter(name = "ARES_ADDRESS_STREET")
    String aresAddressStreet();

    @Parameter(name = "ARES_ADDRESS_ZIP")
    String aresAddressZip();

    @Parameter(name = "BUSINESS_NAME")
    String businessName();

    @Parameter(name = "COMMENCEMENT_DATE")
    java.util.Date commencementDate();

    @Parameter(name = "DIC")
    String dic();

    @Parameter(name = "Data")
    java.util.List<MWF8G4Data> data();

    @Parameter(name = "EMPLOYEE_COUNT_CATEGORY")
    String employeeCountCategory();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "LEGAL_FORM_CODE")
    String legalFormCode();

    @Parameter(name = "LEGAL_FORM_NAME")
    String legalFormName();

    @Parameter(name = "STATUS_CODE")
    Long statusCode();

    @Parameter(name = "STATUS_MESSAGE")
    String statusMessage();

}